// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S148_ArticleNumbersWithoutPrefix.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S148_ArticleNumbersWithoutPrefix extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int globalState = 4;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2, 2
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\2\22\0\1\3"+
    "\1\0\1\4\3\0\1\5\1\0\1\6\1\7\2\0"+
    "\1\6\1\10\1\0\1\11\12\12\1\13\1\14\5\0"+
    "\1\15\1\16\1\17\1\20\1\21\1\22\1\23\1\22"+
    "\1\24\1\22\1\25\1\26\1\27\1\30\1\31\1\32"+
    "\1\33\1\34\1\35\1\36\1\37\1\40\1\41\1\42"+
    "\1\43\1\22\1\44\1\0\1\45\1\0\1\46\1\0"+
    "\1\47\1\50\1\51\1\52\1\53\1\0\1\54\1\0"+
    "\1\55\1\0\1\56\1\57\1\60\1\61\1\62\1\63"+
    "\1\64\1\65\1\66\1\67\1\70\1\71\1\72\1\73"+
    "\1\74\266\0\2\55\115\0\1\66\u0182\0\1\1\20\0"+
    "\2\10\u0115\0\1\56\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\3\0\3\1\2\2\1\3\1\4\1\3\12\0\1\4"+
    "\112\0\1\5\1\4\7\0\1\4\116\0\1\4\1\0"+
    "\1\4\61\0\1\6\177\0\1\7\42\0\1\10\2\0"+
    "\1\11\1\0\1\6\1\0\1\12\32\0\1\13\1\14"+
    "\3\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[438];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\75\0\172\0\267\0\364\0\u0131\0\267\0\u016e"+
    "\0\267\0\u01ab\0\u01e8\0\u0225\0\u0262\0\u029f\0\u02dc\0\364"+
    "\0\u0319\0\u0356\0\u0393\0\u03d0\0\u040d\0\267\0\u044a\0\u0487"+
    "\0\u04c4\0\u0501\0\u053e\0\u057b\0\u05b8\0\u05f5\0\u0632\0\u066f"+
    "\0\u06ac\0\u06e9\0\u0726\0\u0763\0\u07a0\0\u07dd\0\u081a\0\u0857"+
    "\0\u0894\0\u08d1\0\u090e\0\u094b\0\u0988\0\u09c5\0\u0a02\0\u0a3f"+
    "\0\u0a7c\0\u0ab9\0\u0af6\0\u0b33\0\u0b70\0\u0bad\0\u0bea\0\u0c27"+
    "\0\u0c64\0\u0ca1\0\u0cde\0\u0d1b\0\u0d58\0\u0d95\0\u0dd2\0\u0e0f"+
    "\0\u0e4c\0\u0e89\0\u0ec6\0\u0f03\0\u0f40\0\u0f7d\0\u0fba\0\u0ff7"+
    "\0\u1034\0\u1071\0\u10ae\0\u10eb\0\u1128\0\u1165\0\u11a2\0\u11df"+
    "\0\u121c\0\u1259\0\u1296\0\u12d3\0\u1310\0\u134d\0\u138a\0\u13c7"+
    "\0\u1404\0\u1441\0\u147e\0\u14bb\0\u14f8\0\u1535\0\u1572\0\u15af"+
    "\0\267\0\u15ec\0\u1629\0\u1666\0\u16a3\0\u16e0\0\u171d\0\u175a"+
    "\0\u1797\0\u17d4\0\u1811\0\u184e\0\u188b\0\u18c8\0\u1905\0\u1942"+
    "\0\u197f\0\u19bc\0\u19f9\0\u1a36\0\u1a73\0\u1ab0\0\u1aed\0\u1b2a"+
    "\0\u1b67\0\u1ba4\0\u1be1\0\u1c1e\0\u1c5b\0\u1c98\0\u15ec\0\u1cd5"+
    "\0\u1d12\0\u1d4f\0\u1d8c\0\u1dc9\0\u1e06\0\u1e43\0\u1e80\0\u1ebd"+
    "\0\u1efa\0\u1f37\0\u1f74\0\u1fb1\0\u1fee\0\u202b\0\u2068\0\u20a5"+
    "\0\u20e2\0\u211f\0\u215c\0\u2199\0\u21d6\0\u2213\0\u2250\0\u228d"+
    "\0\u22ca\0\u2307\0\u2344\0\u2381\0\u23be\0\u23fb\0\u2438\0\u2475"+
    "\0\u24b2\0\u24ef\0\u252c\0\u2569\0\u25a6\0\u25e3\0\u2620\0\u265d"+
    "\0\u269a\0\u26d7\0\u2714\0\u2751\0\u278e\0\u27cb\0\u2808\0\u2845"+
    "\0\u2882\0\u28bf\0\u28fc\0\u2939\0\u2976\0\u29b3\0\u29f0\0\u2a2d"+
    "\0\u2a6a\0\u2aa7\0\u2ae4\0\u2b21\0\u2b5e\0\u2b9b\0\u2bd8\0\u2c15"+
    "\0\u2c52\0\u2c8f\0\u2ccc\0\u2d09\0\u2d46\0\u2d83\0\u2dc0\0\u2dfd"+
    "\0\u2e3a\0\u2e77\0\u2eb4\0\u2ef1\0\u2f2e\0\u2f6b\0\u2fa8\0\u2fe5"+
    "\0\u3022\0\u305f\0\u309c\0\u30d9\0\u3116\0\u3153\0\u3190\0\u31cd"+
    "\0\u320a\0\u3247\0\u3284\0\u32c1\0\u32fe\0\u333b\0\u3378\0\u33b5"+
    "\0\u33f2\0\u342f\0\u346c\0\u34a9\0\u34e6\0\u3523\0\u3560\0\u359d"+
    "\0\u35da\0\u3617\0\u3654\0\u3691\0\267\0\u36ce\0\u370b\0\u3748"+
    "\0\u3785\0\u37c2\0\u37ff\0\u383c\0\u3879\0\u38b6\0\u38f3\0\u3930"+
    "\0\u396d\0\u39aa\0\u39e7\0\u3a24\0\u3a61\0\u3a9e\0\u3adb\0\u3b18"+
    "\0\u3b55\0\u3b92\0\u3bcf\0\u3c0c\0\u3c49\0\u3c86\0\u3cc3\0\u3d00"+
    "\0\u3d3d\0\u3d7a\0\u3db7\0\u3df4\0\u3e31\0\u3e6e\0\u3eab\0\u3ee8"+
    "\0\u3f25\0\u3f62\0\u3f9f\0\u3fdc\0\u4019\0\u4056\0\u4093\0\u40d0"+
    "\0\u410d\0\u414a\0\u4187\0\u41c4\0\u4201\0\u423e\0\u427b\0\u42b8"+
    "\0\u42f5\0\u4332\0\u436f\0\u43ac\0\u43e9\0\u4426\0\u4463\0\u44a0"+
    "\0\u44dd\0\u451a\0\u4557\0\u4594\0\u45d1\0\u460e\0\u464b\0\u4688"+
    "\0\u46c5\0\u4702\0\u473f\0\u477c\0\u47b9\0\u47f6\0\u4833\0\u4870"+
    "\0\u48ad\0\u48ea\0\u4927\0\u4964\0\u49a1\0\u49de\0\u4a1b\0\u4a58"+
    "\0\u4a95\0\u4ad2\0\u4b0f\0\u4b4c\0\u4b89\0\u4bc6\0\u4c03\0\u4c40"+
    "\0\u4c7d\0\u4cba\0\u4cf7\0\u4d34\0\u4d71\0\u4dae\0\u4deb\0\u4e28"+
    "\0\u4e65\0\u4ea2\0\u4edf\0\u4f1c\0\u4f59\0\u4f96\0\u4fd3\0\u5010"+
    "\0\u504d\0\u508a\0\u50c7\0\u5104\0\u5141\0\u517e\0\u51bb\0\u51f8"+
    "\0\u5235\0\u5272\0\u52af\0\u52ec\0\u5329\0\u5366\0\u53a3\0\u53e0"+
    "\0\u541d\0\u545a\0\u5497\0\u54d4\0\267\0\u5511\0\u554e\0\u558b"+
    "\0\u55c8\0\u5605\0\u5642\0\u567f\0\u56bc\0\u56f9\0\u5736\0\u5773"+
    "\0\u57b0\0\u57ed\0\u582a\0\u5867\0\u58a4\0\u58e1\0\u591e\0\u595b"+
    "\0\u5998\0\u59d5\0\u5a12\0\u5a4f\0\u5a8c\0\u5ac9\0\u5b06\0\u5b43"+
    "\0\u5b80\0\u5bbd\0\u5bfa\0\u5c37\0\u5c74\0\u5cb1\0\u5cee\0\267"+
    "\0\u5d2b\0\u5d68\0\267\0\u5da5\0\u5de2\0\u5de2\0\267\0\u5e1f"+
    "\0\u5e5c\0\u5e99\0\u5ed6\0\u5f13\0\u5f50\0\u5f8d\0\u5fca\0\u6007"+
    "\0\u6044\0\u6081\0\u60be\0\u60fb\0\u6138\0\u6175\0\u61b2\0\u61ef"+
    "\0\u622c\0\u6269\0\u62a6\0\u62e3\0\u6320\0\u635d\0\u639a\0\u63d7"+
    "\0\u6414\0\u029f\0\267\0\u6451\0\u648e\0\u64cb";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[438];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\12\4\1\5\31\4\1\6\30\4\44\7\1\10\30\7"+
    "\12\11\1\12\31\11\1\13\30\11\76\0\3\14\1\0"+
    "\1\15\2\16\1\17\1\0\1\20\31\0\1\21\1\0"+
    "\1\17\54\0\1\22\30\0\1\22\26\0\1\23\64\0"+
    "\3\24\1\0\1\25\1\0\1\26\1\27\1\0\1\12"+
    "\33\0\1\27\54\0\1\30\30\0\1\30\16\0\3\14"+
    "\1\0\1\15\2\16\1\17\1\0\1\20\3\0\1\31"+
    "\1\0\1\32\7\0\1\33\1\34\1\0\1\35\1\0"+
    "\1\36\1\37\1\40\1\41\3\0\1\21\1\0\1\17"+
    "\1\0\1\31\1\0\1\32\6\0\1\33\1\34\1\0"+
    "\1\35\1\0\1\36\1\37\1\40\1\41\33\0\1\42"+
    "\30\0\1\42\14\0\3\16\1\0\1\43\3\16\1\0"+
    "\1\20\31\0\1\21\1\0\1\16\27\0\3\17\1\0"+
    "\1\44\3\16\1\0\1\20\3\0\1\31\1\0\1\32"+
    "\7\0\1\33\1\34\1\0\1\35\1\0\1\36\1\37"+
    "\1\40\1\41\3\0\1\21\1\0\1\16\1\0\1\31"+
    "\1\0\1\32\6\0\1\33\1\34\1\0\1\35\1\0"+
    "\1\36\1\37\1\40\1\41\31\0\1\45\30\0\1\45"+
    "\42\0\1\46\30\0\1\46\44\0\1\47\30\0\1\47"+
    "\16\0\3\24\1\0\1\25\1\0\1\26\1\27\5\0"+
    "\1\50\1\0\1\51\7\0\1\52\1\53\1\0\1\54"+
    "\1\0\1\55\1\56\1\57\1\60\5\0\1\27\1\0"+
    "\1\50\1\0\1\51\6\0\1\52\1\53\1\0\1\54"+
    "\1\0\1\55\1\56\1\57\1\60\33\0\1\61\30\0"+
    "\1\61\14\0\3\27\1\0\1\62\10\0\1\50\1\0"+
    "\1\51\7\0\1\52\1\53\1\0\1\54\1\0\1\55"+
    "\1\56\1\57\1\60\7\0\1\50\1\0\1\51\6\0"+
    "\1\52\1\53\1\0\1\54\1\0\1\55\1\56\1\57"+
    "\1\60\30\0\1\63\30\0\1\63\42\0\1\64\30\0"+
    "\1\64\40\0\1\65\15\0\1\66\13\0\1\65\14\0"+
    "\1\66\35\0\1\67\30\0\1\67\31\0\1\70\31\0"+
    "\1\70\62\0\1\71\30\0\1\71\25\0\1\72\31\0"+
    "\1\72\42\0\1\73\31\0\1\73\51\0\1\74\30\0"+
    "\1\74\37\0\1\75\30\0\1\75\35\0\1\76\31\0"+
    "\1\76\54\0\1\77\30\0\1\77\43\0\1\100\30\0"+
    "\1\100\40\0\1\101\30\0\1\101\46\0\1\102\30\0"+
    "\1\102\40\0\1\103\30\0\1\103\42\0\1\104\30\0"+
    "\1\104\40\0\1\105\15\0\1\106\13\0\1\105\14\0"+
    "\1\106\35\0\1\107\30\0\1\107\31\0\1\110\31\0"+
    "\1\110\62\0\1\111\30\0\1\111\25\0\1\112\31\0"+
    "\1\112\42\0\1\113\31\0\1\113\51\0\1\114\30\0"+
    "\1\114\37\0\1\115\30\0\1\115\35\0\1\116\31\0"+
    "\1\116\54\0\1\117\30\0\1\117\43\0\1\120\30\0"+
    "\1\120\50\0\1\16\30\0\1\16\25\0\1\121\31\0"+
    "\1\121\54\0\1\74\30\0\1\74\42\0\1\121\7\0"+
    "\1\122\20\0\1\121\7\0\1\122\41\0\1\122\30\0"+
    "\1\122\22\0\1\123\6\0\1\124\22\0\1\123\5\0"+
    "\1\124\46\0\1\125\2\0\1\126\7\0\1\127\15\0"+
    "\1\125\2\0\1\126\7\0\1\127\35\0\1\130\30\0"+
    "\1\130\27\0\1\131\17\0\1\132\11\0\1\131\16\0"+
    "\1\132\22\0\1\133\31\0\1\133\60\0\1\134\30\0"+
    "\1\134\24\0\1\135\31\0\1\135\42\0\1\136\31\0"+
    "\1\136\54\0\1\137\30\0\1\137\26\0\1\140\111\0"+
    "\1\141\30\0\1\141\50\0\1\142\30\0\1\142\25\0"+
    "\1\143\31\0\1\143\54\0\1\114\30\0\1\114\42\0"+
    "\1\143\7\0\1\144\20\0\1\143\7\0\1\144\41\0"+
    "\1\144\30\0\1\144\22\0\1\145\6\0\1\146\22\0"+
    "\1\145\5\0\1\146\46\0\1\147\2\0\1\150\7\0"+
    "\1\151\15\0\1\147\2\0\1\150\7\0\1\151\35\0"+
    "\1\152\30\0\1\152\27\0\1\153\17\0\1\154\11\0"+
    "\1\153\16\0\1\154\22\0\1\155\31\0\1\155\60\0"+
    "\1\156\30\0\1\156\24\0\1\157\31\0\1\157\37\0"+
    "\1\160\105\0\1\161\30\0\1\161\43\0\1\162\4\0"+
    "\1\163\23\0\1\162\4\0\1\163\50\0\1\37\30\0"+
    "\1\37\35\0\1\164\30\0\1\164\34\0\1\165\31\0"+
    "\1\165\57\0\1\127\30\0\1\127\25\0\1\131\3\0"+
    "\1\162\25\0\1\131\2\0\1\162\20\0\2\16\1\166"+
    "\1\0\1\43\3\16\1\0\1\20\5\0\1\131\17\0"+
    "\1\132\3\0\1\21\1\0\1\16\3\0\1\131\16\0"+
    "\1\132\24\0\1\65\31\0\1\65\45\0\1\65\30\0"+
    "\1\65\43\0\1\167\30\0\1\167\51\0\1\170\30\0"+
    "\1\170\46\0\1\171\30\0\1\171\43\0\1\172\30\0"+
    "\1\172\21\0\1\173\76\0\20\174\1\175\6\174\2\0"+
    "\1\174\17\0\1\176\7\0\3\177\1\0\1\200\1\0"+
    "\1\26\111\0\1\201\30\0\1\201\43\0\1\202\4\0"+
    "\1\203\23\0\1\202\4\0\1\203\50\0\1\56\30\0"+
    "\1\56\35\0\1\204\30\0\1\204\34\0\1\205\31\0"+
    "\1\205\57\0\1\151\30\0\1\151\25\0\1\153\3\0"+
    "\1\202\25\0\1\153\2\0\1\202\20\0\2\177\1\206"+
    "\1\0\1\200\1\0\1\26\10\0\1\153\17\0\1\154"+
    "\11\0\1\153\16\0\1\154\24\0\1\105\31\0\1\105"+
    "\45\0\1\105\30\0\1\105\43\0\1\207\30\0\1\207"+
    "\51\0\1\210\30\0\1\210\46\0\1\211\30\0\1\211"+
    "\23\0\2\212\1\213\6\212\1\214\1\212\1\215\4\212"+
    "\1\216\6\212\2\0\1\212\2\0\1\217\5\0\1\220"+
    "\1\0\1\221\4\0\1\222\27\0\1\64\31\0\1\64"+
    "\42\0\1\223\31\0\1\223\41\0\1\131\31\0\1\131"+
    "\42\0\1\131\12\0\1\224\4\0\1\132\11\0\1\131"+
    "\11\0\1\224\4\0\1\132\31\0\1\16\30\0\1\16"+
    "\16\0\3\16\1\0\1\43\3\16\1\0\1\20\5\0"+
    "\1\131\23\0\1\21\1\0\1\16\3\0\1\131\43\0"+
    "\1\225\31\0\1\225\35\0\1\14\112\0\1\226\30\0"+
    "\1\226\43\0\1\227\30\0\1\227\30\0\1\230\6\0"+
    "\1\231\1\0\1\232\4\0\1\233\13\0\1\230\5\0"+
    "\1\231\1\0\1\232\4\0\1\233\21\0\1\234\1\0"+
    "\27\174\2\0\1\174\41\0\1\234\1\0\7\174\1\235"+
    "\17\174\2\0\1\174\6\0\1\236\43\0\1\236\30\0"+
    "\1\236\47\0\1\237\30\0\1\237\34\0\1\104\31\0"+
    "\1\104\42\0\1\240\31\0\1\240\41\0\1\153\31\0"+
    "\1\153\42\0\1\153\12\0\1\241\4\0\1\154\11\0"+
    "\1\153\11\0\1\241\4\0\1\154\31\0\1\142\30\0"+
    "\1\142\16\0\3\177\1\0\1\200\1\0\1\26\10\0"+
    "\1\153\31\0\1\153\43\0\1\242\31\0\1\242\35\0"+
    "\1\24\112\0\1\243\30\0\1\243\24\0\1\244\1\0"+
    "\27\212\2\0\1\212\41\0\1\244\1\0\14\212\1\245"+
    "\12\212\2\0\1\212\13\0\1\246\25\0\1\244\1\0"+
    "\4\212\1\247\22\212\2\0\1\212\4\0\1\250\34\0"+
    "\1\244\1\0\22\212\1\251\4\212\2\0\1\212\21\0"+
    "\1\252\17\0\1\244\1\0\7\212\1\253\17\212\2\0"+
    "\1\212\6\0\1\254\50\0\1\246\30\0\1\246\33\0"+
    "\1\250\31\0\1\250\60\0\1\252\30\0\1\252\30\0"+
    "\1\254\30\0\1\254\54\0\1\255\30\0\1\255\45\0"+
    "\1\256\30\0\1\256\41\0\1\257\30\0\1\257\22\0"+
    "\1\16\74\0\1\17\111\0\1\260\30\0\1\260\33\0"+
    "\1\261\31\0\1\261\60\0\1\262\30\0\1\262\30\0"+
    "\1\263\11\0\1\264\16\0\1\263\11\0\1\264\5\0"+
    "\2\234\1\0\1\234\1\0\6\234\1\265\30\234\2\0"+
    "\27\234\13\0\1\234\1\0\12\174\1\266\14\174\2\0"+
    "\1\174\11\0\1\267\43\0\1\267\30\0\1\267\32\0"+
    "\1\270\31\0\1\270\61\0\1\271\30\0\1\271\45\0"+
    "\1\272\30\0\1\272\41\0\1\273\30\0\1\273\22\0"+
    "\1\27\60\0\2\244\1\0\1\244\1\0\6\244\1\274"+
    "\30\244\2\0\27\244\13\0\1\244\1\0\12\212\1\275"+
    "\14\212\2\0\1\212\11\0\1\276\43\0\1\276\30\0"+
    "\1\276\27\0\1\244\1\0\6\212\1\277\12\212\1\300"+
    "\5\212\2\0\1\212\5\0\1\301\12\0\1\302\30\0"+
    "\1\301\12\0\1\302\15\0\1\301\12\0\1\302\20\0"+
    "\1\244\1\0\12\212\1\303\14\212\2\0\1\212\11\0"+
    "\1\304\43\0\1\304\30\0\1\304\27\0\1\244\1\0"+
    "\12\212\1\305\14\212\2\0\1\212\11\0\1\306\43\0"+
    "\1\306\30\0\1\306\15\0\2\16\1\166\1\0\1\43"+
    "\3\16\1\0\1\20\5\0\1\131\23\0\1\21\1\0"+
    "\1\16\3\0\1\131\46\0\1\162\30\0\1\162\20\0"+
    "\2\16\1\307\1\0\1\43\3\16\1\0\1\20\3\0"+
    "\1\31\14\0\1\310\1\0\1\311\1\312\5\0\1\21"+
    "\1\0\1\16\1\0\1\31\13\0\1\310\1\0\1\311"+
    "\1\312\34\0\1\313\30\0\1\313\37\0\1\314\12\0"+
    "\1\315\15\0\1\314\12\0\1\315\34\0\1\316\30\0"+
    "\1\316\43\0\1\317\30\0\1\317\46\0\1\320\30\0"+
    "\1\320\23\0\1\321\75\0\1\234\1\0\15\174\1\322"+
    "\11\174\2\0\1\174\14\0\1\323\43\0\1\323\30\0"+
    "\1\323\46\0\1\324\30\0\1\324\7\0\2\177\1\206"+
    "\1\0\1\200\1\0\1\26\10\0\1\153\31\0\1\153"+
    "\46\0\1\202\30\0\1\202\20\0\2\177\1\325\1\0"+
    "\1\200\1\0\1\26\6\0\1\50\14\0\1\326\1\0"+
    "\1\327\1\330\11\0\1\50\13\0\1\326\1\0\1\327"+
    "\1\330\17\0\1\331\75\0\1\244\1\0\12\212\1\332"+
    "\14\212\2\0\1\212\11\0\1\333\43\0\1\333\30\0"+
    "\1\333\27\0\1\244\1\0\27\212\2\0\1\334\41\0"+
    "\1\244\1\0\21\212\1\335\5\212\2\0\1\212\20\0"+
    "\1\336\53\0\1\337\64\0\1\336\30\0\1\336\20\0"+
    "\1\244\1\0\1\212\1\340\25\212\2\0\1\212\1\0"+
    "\1\341\42\0\1\341\31\0\1\341\37\0\1\244\1\0"+
    "\15\212\1\342\11\212\2\0\1\212\14\0\1\343\43\0"+
    "\1\343\30\0\1\343\12\0\3\16\1\0\1\43\3\16"+
    "\1\0\1\20\3\0\1\31\14\0\1\310\1\0\1\311"+
    "\1\312\5\0\1\21\1\0\1\16\1\0\1\31\13\0"+
    "\1\310\1\0\1\311\1\312\44\0\1\344\30\0\1\344"+
    "\25\0\1\345\31\0\1\345\42\0\1\346\31\0\1\346"+
    "\50\0\1\347\30\0\1\347\62\0\1\350\64\0\1\351"+
    "\30\0\1\351\23\0\1\352\31\0\1\352\56\0\1\353"+
    "\30\0\1\353\52\0\1\354\30\0\1\354\14\0\1\321"+
    "\32\0\1\355\42\0\1\234\1\0\11\174\1\356\15\174"+
    "\2\0\1\174\10\0\1\357\43\0\1\357\30\0\1\357"+
    "\47\0\1\360\30\0\1\360\12\0\3\177\1\0\1\200"+
    "\1\0\1\26\6\0\1\50\14\0\1\326\1\0\1\327"+
    "\1\330\11\0\1\50\13\0\1\326\1\0\1\327\1\330"+
    "\44\0\1\361\30\0\1\361\25\0\1\362\31\0\1\362"+
    "\42\0\1\363\31\0\1\363\33\0\1\331\32\0\1\364"+
    "\42\0\1\244\1\0\1\365\26\212\2\0\1\212\1\366"+
    "\42\0\1\366\31\0\1\366\40\0\1\244\1\0\1\367"+
    "\2\212\1\370\23\212\2\0\1\212\1\371\2\0\1\372"+
    "\35\0\1\244\1\0\4\212\1\373\22\212\2\0\1\212"+
    "\4\0\1\374\42\0\1\374\31\0\1\374\36\0\1\371"+
    "\2\0\1\372\26\0\1\371\2\0\1\372\35\0\1\244"+
    "\1\0\4\212\1\375\22\212\2\0\1\212\4\0\1\376"+
    "\42\0\1\376\31\0\1\376\34\0\1\244\1\0\11\212"+
    "\1\377\15\212\2\0\1\212\10\0\1\u0100\43\0\1\u0100"+
    "\30\0\1\u0100\32\0\1\u0101\6\0\1\u0102\22\0\1\u0101"+
    "\5\0\1\u0102\46\0\1\125\30\0\1\125\50\0\1\16"+
    "\30\0\1\16\24\0\1\u0103\31\0\1\u0103\42\0\1\u0104"+
    "\2\0\1\u0105\26\0\1\u0104\2\0\1\u0105\43\0\1\u0106"+
    "\31\0\1\u0106\42\0\1\u0107\31\0\1\u0107\47\0\1\u0108"+
    "\30\0\1\u0108\30\0\1\u0109\74\0\1\234\1\0\4\174"+
    "\1\u010a\22\174\2\0\1\174\4\0\1\u010b\42\0\1\u010b"+
    "\31\0\1\u010b\35\0\1\177\75\0\1\u010c\6\0\1\u010d"+
    "\22\0\1\u010c\5\0\1\u010d\46\0\1\147\30\0\1\147"+
    "\50\0\1\142\30\0\1\142\7\0\44\u010e\1\0\30\u010e"+
    "\13\0\1\u010f\1\0\27\212\2\0\1\212\41\0\1\u010f"+
    "\74\0\1\244\1\0\11\212\1\u0110\15\212\2\0\1\212"+
    "\10\0\1\u0111\30\0\1\244\1\0\14\212\1\u0112\12\212"+
    "\2\0\1\212\13\0\1\u0113\40\0\1\u0111\30\0\1\u0111"+
    "\46\0\1\u0113\30\0\1\u0113\25\0\1\244\1\0\17\212"+
    "\1\365\7\212\2\0\1\212\16\0\1\366\43\0\1\366"+
    "\30\0\1\366\22\0\1\244\1\0\17\212\1\u0114\7\212"+
    "\2\0\1\212\16\0\1\u0115\43\0\1\u0115\30\0\1\u0115"+
    "\22\0\1\244\1\0\4\212\1\u0116\22\212\2\0\1\212"+
    "\4\0\1\u0117\42\0\1\u0117\31\0\1\u0117\57\0\1\312"+
    "\30\0\1\312\35\0\1\u0118\30\0\1\u0118\26\0\1\u0119"+
    "\107\0\1\u011a\30\0\1\u011a\46\0\1\u011b\30\0\1\u011b"+
    "\46\0\1\u0103\30\0\1\u0103\43\0\1\u011c\30\0\1\u011c"+
    "\30\0\1\u011d\31\0\1\u011d\21\0\2\u0109\1\0\1\u0109"+
    "\1\0\6\u0109\1\u011e\30\u0109\2\0\27\u0109\13\0\1\234"+
    "\1\0\27\174\2\0\1\u011f\74\0\1\u0120\64\0\1\330"+
    "\30\0\1\330\35\0\1\u0121\30\0\1\u0121\13\0\44\u010e"+
    "\1\u0122\30\u010e\2\u010f\1\0\1\u010f\1\0\6\u010f\1\u0123"+
    "\30\u010f\2\0\27\u010f\13\0\1\244\1\0\7\212\1\u0124"+
    "\17\212\2\0\1\212\6\0\1\u0125\43\0\1\u0125\30\0"+
    "\1\u0125\32\0\1\244\1\0\2\212\1\u0126\24\212\2\0"+
    "\1\212\2\0\1\u0127\42\0\1\u0127\31\0\1\u0127\36\0"+
    "\1\u0128\1\0\27\212\2\0\1\212\41\0\1\u0128\74\0"+
    "\1\244\1\0\27\212\2\0\1\u0129\74\0\1\u012a\61\0"+
    "\1\u012b\30\0\1\u012b\10\0\2\u0119\1\0\1\u0119\1\0"+
    "\6\u0119\1\u012c\30\u0119\2\0\27\u0119\24\0\1\u012d\30\0"+
    "\1\u012d\36\0\1\u012e\31\0\1\u012e\36\0\1\u012f\127\0"+
    "\1\u0130\40\0\1\u0131\75\0\1\234\1\0\13\174\1\u0132"+
    "\13\174\2\0\1\174\12\0\1\u0133\43\0\1\u0133\30\0"+
    "\1\u0133\46\0\1\u0134\30\0\1\u0134\21\0\1\u0135\75\0"+
    "\1\u0136\75\0\1\244\1\0\1\u0137\26\212\2\0\1\212"+
    "\1\u0138\42\0\1\u0138\31\0\1\u0138\40\0\1\244\1\0"+
    "\21\212\1\u0139\5\212\2\0\1\212\20\0\1\u013a\43\0"+
    "\1\u013a\30\0\1\u013a\5\0\2\u0128\1\0\1\u0128\1\0"+
    "\6\u0128\1\u013b\30\u0128\2\0\27\u0128\13\0\1\244\1\0"+
    "\13\212\1\u013c\13\212\2\0\1\212\12\0\1\u013d\43\0"+
    "\1\u013d\30\0\1\u013d\52\0\1\121\30\0\1\121\16\0"+
    "\1\u013e\77\0\1\u013f\31\0\1\u013f\63\0\1\u0140\30\0"+
    "\1\u0140\5\0\2\u012f\1\0\1\u012f\1\0\6\u012f\1\u0141"+
    "\30\u012f\2\0\27\u012f\30\0\1\u0142\30\0\1\u0142\25\0"+
    "\1\u0131\32\0\1\u0143\42\0\1\234\1\0\22\174\1\u0144"+
    "\4\174\2\0\1\174\21\0\1\u0145\43\0\1\u0145\30\0"+
    "\1\u0145\43\0\1\143\30\0\1\143\32\0\1\u0146\30\0"+
    "\1\u0146\27\0\1\u0136\32\0\1\u0147\42\0\1\244\1\0"+
    "\20\212\1\365\6\212\2\0\1\212\17\0\1\366\43\0"+
    "\1\366\30\0\1\366\21\0\1\244\1\0\26\212\1\u0148"+
    "\2\0\1\212\25\0\1\u0149\43\0\1\u0149\30\0\1\u0149"+
    "\12\0\1\u014a\75\0\1\244\1\0\22\212\1\u014b\4\212"+
    "\2\0\1\212\21\0\1\u014c\43\0\1\u014c\30\0\1\u014c"+
    "\16\0\1\u013e\32\0\1\u014d\64\0\1\u0103\30\0\1\u0103"+
    "\51\0\1\u014e\30\0\1\u014e\12\0\1\u014f\121\0\1\u0150"+
    "\30\0\1\u0150\4\0\44\u0151\1\0\30\u0151\13\0\1\234"+
    "\1\0\12\174\1\u0152\14\174\2\0\1\174\11\0\1\u0153"+
    "\43\0\1\u0153\30\0\1\u0153\41\0\1\u0154\30\0\1\u0154"+
    "\16\0\44\u0155\1\0\30\u0155\13\0\1\244\1\0\15\212"+
    "\1\u0156\11\212\2\0\1\212\14\0\1\u0157\43\0\1\u0157"+
    "\30\0\1\u0157\23\0\1\u014a\32\0\1\u0158\42\0\1\244"+
    "\1\0\12\212\1\u0159\14\212\2\0\1\212\11\0\1\u015a"+
    "\43\0\1\u015a\30\0\1\u015a\14\0\44\u015b\1\0\30\u015b"+
    "\32\0\1\u015c\30\0\1\u015c\23\0\1\u014f\32\0\1\u015d"+
    "\56\0\1\u015e\30\0\1\u015e\14\0\44\u0151\1\u015f\30\u0151"+
    "\13\0\1\234\1\0\1\174\1\u0160\25\174\2\0\1\174"+
    "\1\0\1\u0161\42\0\1\u0161\31\0\1\u0161\54\0\1\u0162"+
    "\30\0\1\u0162\13\0\44\u0155\1\u0163\30\u0155\13\0\1\244"+
    "\1\0\4\212\1\365\22\212\2\0\1\212\4\0\1\366"+
    "\42\0\1\366\31\0\1\366\21\0\44\u0164\1\0\30\u0164"+
    "\13\0\1\244\1\0\1\212\1\u0165\25\212\2\0\1\212"+
    "\1\0\1\u0166\42\0\1\u0166\31\0\1\u0166\24\0\44\u015b"+
    "\1\u0167\30\u015b\21\0\1\u0103\31\0\1\u0103\21\0\44\u0168"+
    "\1\0\30\u0168\16\0\1\u0169\31\0\1\u0169\35\0\1\u016a"+
    "\76\0\1\234\1\0\4\174\1\u016b\22\174\2\0\1\174"+
    "\4\0\1\u016c\42\0\1\u016c\31\0\1\u016c\66\0\1\u016d"+
    "\40\0\1\u016e\63\0\44\u0164\1\u016f\30\u0164\13\0\1\244"+
    "\1\0\4\212\1\u0170\22\212\2\0\1\212\4\0\1\u0171"+
    "\42\0\1\u0171\31\0\1\u0171\32\0\1\u0172\63\0\44\u0168"+
    "\1\u0173\30\u0168\21\0\1\u0174\31\0\1\u0174\47\0\1\u0175"+
    "\30\0\1\u0175\30\0\1\234\1\0\17\174\1\u0176\7\174"+
    "\2\0\1\174\16\0\1\u0177\43\0\1\u0177\30\0\1\u0177"+
    "\35\0\1\u0178\30\0\1\u0178\26\0\1\u0179\76\0\1\244"+
    "\1\0\17\212\1\u017a\7\212\2\0\1\212\16\0\1\u017b"+
    "\43\0\1\u017b\30\0\1\u017b\35\0\1\u017c\30\0\1\u017c"+
    "\26\0\1\u017d\117\0\1\354\30\0\1\354\34\0\1\u017e"+
    "\30\0\1\u017e\31\0\1\u017f\1\0\27\174\2\0\1\174"+
    "\41\0\1\u0180\106\0\1\u0181\30\0\1\u0181\44\0\1\u0182"+
    "\30\0\1\u0182\30\0\1\u0183\1\0\27\212\2\0\1\212"+
    "\41\0\1\u0183\106\0\1\u0184\30\0\1\u0184\44\0\1\u0185"+
    "\30\0\1\u0185\45\0\1\u0186\30\0\1\u0186\13\0\2\u017f"+
    "\1\0\1\u017f\1\0\6\u017f\1\u0187\30\u017f\2\0\27\u017f"+
    "\2\u0180\1\0\1\u0180\1\0\6\u0180\1\u0188\30\u0180\2\0"+
    "\27\u0180\30\0\1\u0189\30\0\1\u0189\40\0\1\u018a\30\0"+
    "\1\u018a\16\0\2\u0183\1\0\1\u0183\1\0\6\u0183\1\u018b"+
    "\30\u0183\2\0\27\u0183\30\0\1\u018c\30\0\1\u018c\40\0"+
    "\1\u018d\30\0\1\u018d\63\0\1\16\41\0\1\u018e\74\0"+
    "\1\u018f\127\0\1\u0190\57\0\1\u0191\30\0\1\u0191\25\0"+
    "\1\u0192\127\0\1\u0193\57\0\1\u0194\30\0\1\u0194\25\0"+
    "\1\u018e\32\0\1\u0195\41\0\1\u018f\32\0\1\u0196\74\0"+
    "\1\u0197\41\0\1\u0192\32\0\1\u0198\74\0\1\u0199\27\0"+
    "\44\u019a\1\0\30\u019a\44\u019b\1\0\30\u019b\1\0\3\u0199"+
    "\1\0\1\u019c\3\u0199\33\0\1\u019d\1\0\1\u0199\26\0"+
    "\44\u019a\1\u019e\30\u019a\44\u019b\1\u019f\30\u019b\30\0\1\u01a0"+
    "\30\0\1\u01a0\41\0\1\u01a1\30\0\1\u01a1\26\0\1\u01a2"+
    "\74\0\1\u01a3\101\0\1\u01a4\31\0\1\u01a4\51\0\1\u01a5"+
    "\30\0\1\u01a5\44\0\1\u01a6\30\0\1\u01a6\43\0\1\u01a7"+
    "\30\0\1\u01a7\52\0\1\u01a8\30\0\1\u01a8\36\0\1\u01a9"+
    "\30\0\1\u01a9\40\0\1\u01aa\30\0\1\u01aa\43\0\1\u01ab"+
    "\30\0\1\u01ab\50\0\1\u01ac\30\0\1\u01ac\24\0\1\u01ad"+
    "\111\0\1\u01ae\30\0\1\u01ae\43\0\1\u01af\30\0\1\u01af"+
    "\27\0\1\u0199\106\0\1\u01b0\1\0\1\232\4\0\1\u01b1"+
    "\21\0\1\u01b0\1\0\1\232\4\0\1\u01b1\53\0\1\u01b2"+
    "\74\0\1\u01b3\50\0\1\u01b4\31\0\1\u01b4\57\0\1\u01b5"+
    "\30\0\1\u01b5\30\0\1\314\30\0\1\314\52\0\1\u01b6"+
    "\30\0\1\u01b6\52\0\1\u011c\30\0\1\u011c\2\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[25864];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\3\0\1\11\2\1\1\11\1\1\1\11\2\1\12\0"+
    "\1\11\112\0\1\11\1\1\7\0\1\1\116\0\1\1"+
    "\1\0\1\1\61\0\1\11\177\0\1\11\42\0\1\11"+
    "\2\0\1\11\1\0\1\1\1\0\1\11\32\0\1\1"+
    "\1\11\3\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[438];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S148_ArticleNumbersWithoutPrefix() { }
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S148_ArticleNumbersWithoutPrefix(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 13: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 14: break;
          case 3:
            { checkEnd();
            }
          // fall through
          case 15: break;
          case 4:
            { if( !checkEdge()) {
		
			save(new PartitionElement(Entity.ARTICLE), Util.getValueReader(yytext()).getNumber());
		}
            }
          // fall through
          case 16: break;
          case 5:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 17: break;
          case 6:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 18: break;
          case 7:
            { AnnotationEntity retrievedEntity = retrieveEntity();
		
		position += retrievedEntity.getText().length(); 
		offset += yylength();

		addText();
            }
          // fall through
          case 19: break;
          case 8:
            { addText();
		yybegin(0);
            }
          // fall through
          case 20: break;
          case 9:
            { //System.out.println("PATTERN " + yytext());
	
	start(null, globalState, false, false);
            }
          // fall through
          case 21: break;
          case 10:
            { if( !checkEdge()) {
		
			AnnotationEntity retrievedEntity = retrieveEntity();

			replaceEntity(retrievedEntity, (new PartitionElement(Entity.ITEM)));
		}
            }
          // fall through
          case 22: break;
          case 11:
            { //System.out.println("SIMPLE " + yytext());

	AnnotationEntity retrievedEntity = retrieveEntity();
	
	String value = retrievedEntity.getValue();
	
	boolean isYear = false;

	//Se contiene trattino c'è un latin, quindi non è un anno (es.: "45-ter")
	if(value.indexOf("-") == -1) {
	
		try {
			
			int v = Integer.valueOf(value);
			
			if(v > 1859 && v < 2030) isYear = true;
			
		} catch (NumberFormatException e) {
			
			System.err.println("ArticleNumbersWithoutPrefix - error in value: " + value);
		}
	}

	AnnotationEntity ae = new AnnotationEntity(Entity.NUMBER);
	
	if(isYear) ae = new AnnotationEntity(Entity.YEAR);
		
	ae.setValue(retrievedEntity.getValue());
	ae.setText(retrievedEntity.getText());
	ae.setPosition(retrievedEntity.getPosition());
	
	addEntity(ae);
		
	position += retrievedEntity.getText().length();
            }
          // fall through
          case 23: break;
          case 12:
            { if( !checkEdge()) {
		
			AnnotationEntity retrievedEntity = retrieveEntity();

			save(new PartitionElement(Entity.ARTICLE), Util.getValueReader(retrievedEntity.getText()).getNumber());
		}
            }
          // fall through
          case 24: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S148_ArticleNumbersWithoutPrefix [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S148_ArticleNumbersWithoutPrefix scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S148_ArticleNumbersWithoutPrefix(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
